Typo3 4.6x; Kompatibilität mit bisherigen Extensions

  • kolki kolki
    Jedi-General
    0 x
    1044 Beiträge
    5 Hilfreiche Beiträge
    10. 12. 2011, 00:28

    Hallo Leute, heute habe ich viele Stunden auf verschiedenen Systemen Typo3 4.6.1 getestet.
    Leider muss ich sagen, war das Ergebnis äußerst negativ.
    Meines Erachtens ist das noch nix für den produktiven Einsatz. Eine Vielzahl von Erweiterungen laufen leider nicht. Viele wertvolle Stunden sind vergeudet! Gibt es irgendwo eine Aufstellung der kompabiblen bzw. nicht kompatiblen Extensions? Oder hat vielleicht jemand einen Tipp wie man vorgehen sollte?


  • 1
  • kolki kolki
    Jedi-General
    0 x
    1044 Beiträge
    5 Hilfreiche Beiträge
    13. 12. 2011, 16:12

    Welche Erfahrungen habt ihr beim Update und den Anpassungsmaßnahmen sammeln können. Vielleicht helfen diese Erfahrungen ja auch anderen Nutzern..

  • sktypo3 sktypo3
    Padawan
    0 x
    43 Beiträge
    0 Hilfreiche Beiträge
    14. 12. 2011, 09:11

    Hatte bisher nur bei mailformplus Probleme (wegen sql query function), aber die ist ja nun auch als obsolete gekennzeichnet.

    Ansonsten fällt mir auf, dass das Deprecation-Log voll geschrieben wird ohne Ende. Vor allem mit "t3lib_div::testInt() - since TYPO3 4.6, will be removed in TYPO3 4.8 - Use t3lib_utility_Math::canBeInterpretedAsInteger() instead"

    Scheinbar ist selbst im Core das noch nicht überall aktualisiert, aber anscheinend auch bei templavoila, tt_news und sr_language_menu.

    achja: und natürlich auch die Probleme mit sr_feuser_register, die in einem Thema unten schon behandelt wurden.

  • typot typot
    Typ im Roten Hemd
    0 x
    2 Beiträge
    0 Hilfreiche Beiträge
    14. 12. 2011, 10:15

    [quote="kolki"]
    Welche Erfahrungen habt ihr beim Update und den Anpassungsmaßnahmen sammeln können. Vielleicht helfen diese Erfahrungen ja auch anderen Nutzern..
    [/quote]

    Hi, meine aeusserst enttaeuschenden Erfahrungen mit 4.6.1 bisher:

    - Full Backup 0.9.2 (w4x_backup) funktioniert nicht
    - DR Wiki 1.8.2 (dr_wiki) funktioniert nicht

    ... beide werfen diesen Fehler:

    Fatal error: Cannot use string offset as an array in /www/htdocs/.../typo3_src-4.6.1/typo3/sysext/lang/lang.php on line 311

    #angry#

    Gruss

    [b]P.S.: Was schlagt ihr denn vor, wie man damit umgeht? Aeltere typo3 Version einsetzen?[/b]

  • sktypo3 sktypo3
    Padawan
    0 x
    43 Beiträge
    0 Hilfreiche Beiträge
    14. 12. 2011, 17:33

    @typot: Das könnte nach dem Fehler das gleiche Problem, wie bei sr_feuser_register sein. Musst mal in dem Thread nachschauen: http://www.typo3.net/forum/beitraege//107980/

  • matrox matrox
    R2-D2
    0 x
    103 Beiträge
    1 Hilfreiche Beiträge
    14. 12. 2011, 19:04

    Version: 4.6.1

    Ja, die Fehlermeldung "public_html/typo3/sysext/lang/lang.php on line 311" kommt auch bei AwStats.

    Jemand eine Lösung?

  • schning schning
    Typ im Roten Hemd
    0 x
    2 Beiträge
    0 Hilfreiche Beiträge
    15. 12. 2011, 13:10

    Hallo,

    auch ich benötige einen Lösungsansatz bei dem Fehler

    Fatal error: Cannot use string offset as an array in .../typo3/sysext/lang/lang.php on line ....311

    1. $output = $GLOBALS['LOCAL_LANG']['default'][$index][0]['target'];

    der durch manche Extensions im BE bei der Typo3 version 4.6.1 verursacht wird.

    Ciao schning

    NACHTRAG:

    Wenn ich anstatt der veralteten locallang.php der Extensions eine locallang.xml einsetze verschindet der Fehler aber ich habe im BE keine Labels an den betreffenden Extensions..

  • 1